
From: Jesper Juhl <juhl-lkml@dif.dk>

The patch fixes a bunch of warnings like these 

include/linux/nfsd/nfsd.h:137: warning: `inline' is not at beginning of declaration
include/linux/nfsd/nfsd.h:138: warning: `inline' is not at beginning of declaration
include/linux/nfsd/nfsd.h:139: warning: `inline' is not at beginning of declaration
include/linux/nfsd/nfsd.h:140: warning: `inline' is not at beginning of declaration

and these

include/linux/nfsd/nfsd.h:137: warning: `static' is not at beginning of declaration
include/linux/nfsd/nfsd.h:138: warning: `static' is not at beginning of declaration
include/linux/nfsd/nfsd.h:139: warning: `static' is not at beginning of declaration
include/linux/nfsd/nfsd.h:140: warning: `static' is not at beginning of declaration

when building with gcc -W

True, that's not how most people build, but some of us do in order to try and
find potential trouble spots, and the less warnings we have to go through the
better - especially when they can be cleaned up nice and safe with no real
impact to the code like these ones.  Please apply.

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/nfsd/nfsd.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/linux/nfsd/nfsd.h~fix-placement-of-static-inline-in-nfsdh include/linux/nfsd/nfsd.h
--- 25/include/linux/nfsd/nfsd.h~fix-placement-of-static-inline-in-nfsdh	2005-03-07 23:58:19.000000000 -0800
+++ 25-akpm/include/linux/nfsd/nfsd.h	2005-03-07 23:59:17.000000000 -0800
@@ -153,10 +153,10 @@ void nfs4_state_shutdown(void);
 time_t nfs4_lease_time(void);
 void nfs4_reset_lease(time_t leasetime);
 #else
-int static inline nfs4_state_init(void){return 0;}
-void static inline nfs4_state_shutdown(void){}
-time_t static inline nfs4_lease_time(void){return 0;}
-void static inline nfs4_reset_lease(time_t leasetime){}
+static inline int nfs4_state_init(void){return 0;}
+static inline void nfs4_state_shutdown(void){}
+static inline time_t nfs4_lease_time(void){return 0;}
+static inline void nfs4_reset_lease(time_t leasetime){}
 #endif
 
 /*
_
